明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1001|回复: 0

高手帮忙!我快要答辩了!这个程序怎么显示不了对话框!

[复制链接]
发表于 2007-5-22 17:22 | 显示全部楼层 |阅读模式

(defun c:yyf1()
   (if (> (setq index3_3 (load_dialog "yeyacad/dcls/yyf1.dcl")) 0)
      (progn
         (if (new_dialog "yyf1" index3_3)
            (progn
           (action_tile "hsf" "(hxf1)")
                 (action_tile "ylf" "(ylf1)")
                 (action_tile "llkzf" "(llkzf1)")
                 (action_tile "sxf" "(sxf1)")
                 (action_tile "dxf" "(dxf1)")   

       (start_dialog)
               (unload_dialog index3_3)
            )
            (alert "不能正常显示对话框。")
         )
      )
      (alert "不能载入DCL文件。")
   )
)


(defun xs1()
     (start_list "hxflist")
     (if (= (setq d1 (open (findfile "YEYACAD/wenbens/hxf.txt") "r")) nil)
         (alert "文件不存在或不能打开。")
         (progn
             (setq clbb '())
             (while (setq str (read-line d1))
                 (add_list str)
          (setq clbb (cons str clbb))
              )
             (close d1)
          )
      )
      (end_list)
      (setq dang1 nil)
      (mode_tile "hxflist" 2)
      (set_tile "hxflist" "0")
)
(defun xs2()
     (start_list "ylflist")
     (if (= (setq d2 (open (findfile "YEYACAD/wenbens/ylf.txt") "r")) nil)
         (alert "文件不存在或不能打开。")
         (progn
             (setq clbb '())
             (while (setq str (read-line d2))
                 (add_list str)
          (setq clbb (cons str clbb))
              )
             (close 2)
          )
      )
      (end_list)
      (setq d2 nil)
      (mode_tile "ylflist" 2)
      (set_tile "ylflist" "0")
)
(defun xs3()
     (start_list "llkzflist")
     (if (= (setq d3 (open (findfile "YEYACAD/wenbens/llkzf.txt") "r")) nil)
         (alert "文件不存在或不能打开。")
         (progn
             (setq clbb '())
             (while (setq str (read-line d3))
                 (add_list str)
          (setq clbb (cons str clbb))
              )
             (close d3)
          )
      )
      (end_list)
      (setq d3 nil)
      (mode_tile "llkzflist" 2)
      (set_tile "llkzflist" "0")
)
(defun xs4()
     (start_list "sxflist")
     (if (= (setq d4 (open (findfile "YEYACAD/wenbens/sxf.txt") "r")) nil)
         (alert "文件不存在或不能打开。")
         (progn
             (setq clbb '())
             (while (setq str (read-line d4))
                 (add_list str)
          (setq clbb (cons str clbb))
              )
             (close d4)
          )
      )
      (end_list)
      (setq d4 nil)
      (mode_tile "sxflist" 2)
      (set_tile "sxflist" "0")
)

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-5-19 04:46 , Processed in 0.157272 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表